Package weka.core.stopwords

# Class MultiStopwords

java.lang.Object
weka.core.stopwords.AbstractStopwords
weka.core.stopwords.MultiStopwords

All Implemented Interfaces:
  `Serializable`, `OptionHandler`, `StopwordsHandler`

public class MultiStopwords extends AbstractStopwords
Applies the specified stopwords algorithms one after other.
As soon as a word has been identified as stopword, the loop is exited.

Valid options are:

     -D
      If set, stopword scheme is run in debug mode and
      may output additional info to the console

     -stopwords <classname + options>
      The stopwords algorithms to apply sequentially.
      (default: none)

Version:
  $Revision: 10978 $
Author:
  fracpete (fracpete at waikato dot ac dot nz)
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultiStopwords()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getOptions()`
  Gets the current settings of the Classifier.
  `StopwordsHandler[]`
  `getStopwords()`
  Returns the stopwords algorithms.
  `String`
  `globalInfo()`
  Returns a string describing the stopwords scheme.
  `Enumeration<Option>`
  `listOptions()`
  Returns an enumeration describing the available options.
  `void`
  `setOptions(String[] options)`
  Parses a given list of options.
  `void`
  `setStopwords(StopwordsHandler[] value)`
  Sets the stopwords algorithms.
  `String`
  `stopwordsTipText()`
  Returns the tip text for this property.

  ### Methods inherited from class weka.core.stopwords.AbstractStopwords

  `debugTipText, getDebug, isStopword, setDebug`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MultiStopwords

    public MultiStopwords()

- ## Method Details

  - ### globalInfo

    public String globalInfo()
    Description copied from class: `AbstractStopwords`
    Returns a string describing the stopwords scheme.
    Specified by:
      `globalInfo` in class `AbstractStopwords`
    Returns:
      a description suitable for displaying in the gui

  - ### listOptions

    public Enumeration<Option> listOptions()
    Returns an enumeration describing the available options.
    Specified by:
      `listOptions` in interface `OptionHandler`
    Overrides:
      `listOptions` in class `AbstractStopwords`
    Returns:
      an enumeration of all the available options.

  - ### setOptions

    public void setOptions(String[] options) throws Exception
    Parses a given list of options.
    Specified by:
      `setOptions` in interface `OptionHandler`
    Overrides:
      `setOptions` in class `AbstractStopwords`
    Parameters:
      `options` - the list of options as an array of strings
    Throws:
      `Exception` - if an option is not supported

  - ### getOptions

    public String[] getOptions()
    Gets the current settings of the Classifier.
    Specified by:
      `getOptions` in interface `OptionHandler`
    Overrides:
      `getOptions` in class `AbstractStopwords`
    Returns:
      an array of strings suitable for passing to setOptions

  - ### setStopwords

    public void setStopwords(StopwordsHandler[] value)
    Sets the stopwords algorithms.
    Parameters:
      `value` - the algorithms

  - ### getStopwords

    public StopwordsHandler[] getStopwords()
    Returns the stopwords algorithms.
    Returns:
      the algorithms

  - ### stopwordsTipText

    public String stopwordsTipText()
    Returns the tip text for this property.
    Returns:
      tip text for this property suitable for displaying in the explorer/experimenter gui